SIMtrace 2 - Bug #3379

documentation on how to use SiMtrace2
07/04/2018 04:10 PM - laforge

Status: Stalled Start date: 07/04/2018
Priority: High Due date:

Assignee: tsaitgaist % Done: 60%
Category:

Target version:

Description

the wiki in the SIMtrace2 redmine project currently only documents flashing, but there should of course be good information on how
to use the host tools in order to run the complete system.

History

#1 - 07/10/2018 07:27 PM - tsaitgaist
- Priority changed from Urgent to High
- % Done changed from 0 to 50

The wiki now also includes the firmware and application documentation.

Currently only trace firmware + sniff application are documented.
remote sim also needs to be documented although it is not critical since already present in the sysmoQMOD manual.

The firmware files also need to be uploaded to a server for automatic updates (jenkins job).

#2 - 08/06/2018 08:32 PM - laforge

FYI: This ticket is not yet marked as "in progress", so in the overview it appears like nobody is working on this. Please try to keep the tickets in sync
with reality. Thanks!

BTW: there's the old SIMtrace user manual in docbook-xml format by zecke in simtrace.git. It might make sense to convert it to asciidoc and/or use it
as basis to create a new manual which could then either be part of simtrace2.git or osmo-gsm-manuals.git. Having it inside simtrace2.git might be a
better idea, also to keep code + manual in sync, and to make sure that any upcoming packages will contain firmware, host tools and manuals from
one repo.

#3 - 08/07/2018 07:55 AM - tsaitgaist

laforge wrote:

FYI: This ticket is not yet marked as "in progress", so in the overview it appears like nobody is working on this. Please try to keep the tickets in
sync with reality. Thanks!

it is in sync: | am waiting for the jenkins jobs to publish the firmware. Since this feature is in the other bug tracker | can't make it as child of this ticket.

@asciidoc: I'll also take care of this. Ideally this will become the main/only manual, and the wiki will only point to it.
#4 - 08/13/2018 04:46 PM - tsaitgaist
- Status changed from New to In Progress

- % Done changed from 50 to 60

the wiki is now pointing to the latest automatically uploaded firmware binaries.
next step: document cardem/remsim, and write asciidoc manuals.

#5 - 08/24/2018 12:44 PM - laforge
- Priority changed from High to Urgent

#6 - 08/26/2018 12:28 AM - demodulate

For the host software build process:

Debian stable, testing, unstable, and experimental packages for libosmocom ( or libosmocore-dev as documented on the wiki ) appear insufficient to
build SIMtrace2 (commit 76ef811a4e82d97a4c7ba929debfébefad3fd893) on my system. Building and installing libosmocom from source was
sufficient to produce a build of the host software.

For the firmware build process:

Debian stable packages of libnewlib-arm-none-eabi gcc-arm-none-eabi were sufficient additions for these Makefile targets:

make

make APP=dfu BOARD=gmod
make APP=cardem BOARD=gmod
make APP=trace BOARD=gmod

make APP=trace BOARD=owhw
make APP=dfu BOARD=owhw
make APP=cardem BOARD=owhw

make APP=trace BOARD=simtrace
make APP=dfu BOARD=simtrace
make APP=cardem BOARD=simtrace;

Two targets failed for gmod, owhw, and simtrace which appears to be a simple Makefile issue:

make APP=ccid BOARD=gmod

make: *** No rule to make target 'apps/ccid/usb_strings.txt', needed by 'apps/ccid/usb_strings_generated.h'.
Stop.

make APP=triple_play BOARD=gmod

make: *** No rule to make target 'apps/triple_play/usb_strings.txt', needed by 'apps/triple_play/usb_strings_g
enerated.h'. Stop.
#7 - 10/25/2018 09:12 AM - tsaitgaist
- Status changed from In Progress to Stalled

- Priority changed from Urgent to High

will be carried again once the cardemu firmware is also available for the simtrace hardware
